<?php
	class Image {
		
		public $defaultType;
		public $defaultWidth;
		public $defaultCompression;
		
		function __construct() {
			$this->defaultType = 'jpg';
			$this->defaultWidth = 150;
			$this->defaultCompression = 85;
		}
		
		public function resize() {
			
		}
		
		public optimize() {
			
		}
	}